# pulp_file_client

PulpFileClient - the Ruby gem for the Pulp 3 API

Fetch, Upload, Organize, and Distribute Software Packages

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.49.6
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://pulpproject.org](https://pulpproject.org)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build pulp_file_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./pulp_file_client-3.49.6.gem
```

(for development, run `gem install --dev ./pulp_file_client-3.49.6.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'pulp_file_client', '~> 3.49.6'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'pulp_file_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'pulp_file_client'

# Setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = PulpFileClient::AcsFileApi.new
file_file_alternate_content_source_href = 'file_file_alternate_content_source_href_example' # String | 
nested_role = PulpFileClient::NestedRole.new # NestedRole | 

begin
  #Add a role
  result = api_instance.add_role(file_file_alternate_content_source_href, nested_role)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling AcsFileApi->add_role: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://pulp*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PulpFileClient::AcsFileApi* | [**add_role**](docs/AcsFileApi.md#add_role) | **POST** {file_file_alternate_content_source_href}add_role/ | Add a role
*PulpFileClient::AcsFileApi* | [**create**](docs/AcsFileApi.md#create) | **POST** /pulp/api/v3/acs/file/file/ | Create a file alternate content source
*PulpFileClient::AcsFileApi* | [**delete**](docs/AcsFileApi.md#delete) | **DELETE** {file_file_alternate_content_source_href} | Delete a file alternate content source
*PulpFileClient::AcsFileApi* | [**list**](docs/AcsFileApi.md#list) | **GET** /pulp/api/v3/acs/file/file/ | List file alternate content sources
*PulpFileClient::AcsFileApi* | [**list_roles**](docs/AcsFileApi.md#list_roles) | **GET** {file_file_alternate_content_source_href}list_roles/ | List roles
*PulpFileClient::AcsFileApi* | [**my_permissions**](docs/AcsFileApi.md#my_permissions) | **GET** {file_file_alternate_content_source_href}my_permissions/ | List user permissions
*PulpFileClient::AcsFileApi* | [**partial_update**](docs/AcsFileApi.md#partial_update) | **PATCH** {file_file_alternate_content_source_href} | Update a file alternate content source
*PulpFileClient::AcsFileApi* | [**read**](docs/AcsFileApi.md#read) | **GET** {file_file_alternate_content_source_href} | Inspect a file alternate content source
*PulpFileClient::AcsFileApi* | [**refresh**](docs/AcsFileApi.md#refresh) | **POST** {file_file_alternate_content_source_href}refresh/ | Refresh metadata
*PulpFileClient::AcsFileApi* | [**remove_role**](docs/AcsFileApi.md#remove_role) | **POST** {file_file_alternate_content_source_href}remove_role/ | Remove a role
*PulpFileClient::AcsFileApi* | [**update**](docs/AcsFileApi.md#update) | **PUT** {file_file_alternate_content_source_href} | Update a file alternate content source
*PulpFileClient::ContentFilesApi* | [**create**](docs/ContentFilesApi.md#create) | **POST** /pulp/api/v3/content/file/files/ | Create a file content
*PulpFileClient::ContentFilesApi* | [**list**](docs/ContentFilesApi.md#list) | **GET** /pulp/api/v3/content/file/files/ | List file contents
*PulpFileClient::ContentFilesApi* | [**read**](docs/ContentFilesApi.md#read) | **GET** {file_file_content_href} | Inspect a file content
*PulpFileClient::DistributionsFileApi* | [**add_role**](docs/DistributionsFileApi.md#add_role) | **POST** {file_file_distribution_href}add_role/ | Add a role
*PulpFileClient::DistributionsFileApi* | [**create**](docs/DistributionsFileApi.md#create) | **POST** /pulp/api/v3/distributions/file/file/ | Create a file distribution
*PulpFileClient::DistributionsFileApi* | [**delete**](docs/DistributionsFileApi.md#delete) | **DELETE** {file_file_distribution_href} | Delete a file distribution
*PulpFileClient::DistributionsFileApi* | [**list**](docs/DistributionsFileApi.md#list) | **GET** /pulp/api/v3/distributions/file/file/ | List file distributions
*PulpFileClient::DistributionsFileApi* | [**list_roles**](docs/DistributionsFileApi.md#list_roles) | **GET** {file_file_distribution_href}list_roles/ | List roles
*PulpFileClient::DistributionsFileApi* | [**my_permissions**](docs/DistributionsFileApi.md#my_permissions) | **GET** {file_file_distribution_href}my_permissions/ | List user permissions
*PulpFileClient::DistributionsFileApi* | [**partial_update**](docs/DistributionsFileApi.md#partial_update) | **PATCH** {file_file_distribution_href} | Update a file distribution
*PulpFileClient::DistributionsFileApi* | [**read**](docs/DistributionsFileApi.md#read) | **GET** {file_file_distribution_href} | Inspect a file distribution
*PulpFileClient::DistributionsFileApi* | [**remove_role**](docs/DistributionsFileApi.md#remove_role) | **POST** {file_file_distribution_href}remove_role/ | Remove a role
*PulpFileClient::DistributionsFileApi* | [**set_label**](docs/DistributionsFileApi.md#set_label) | **POST** {file_file_distribution_href}set_label/ | Set a label
*PulpFileClient::DistributionsFileApi* | [**unset_label**](docs/DistributionsFileApi.md#unset_label) | **POST** {file_file_distribution_href}unset_label/ | Unset a label
*PulpFileClient::DistributionsFileApi* | [**update**](docs/DistributionsFileApi.md#update) | **PUT** {file_file_distribution_href} | Update a file distribution
*PulpFileClient::PublicationsFileApi* | [**add_role**](docs/PublicationsFileApi.md#add_role) | **POST** {file_file_publication_href}add_role/ | Add a role
*PulpFileClient::PublicationsFileApi* | [**create**](docs/PublicationsFileApi.md#create) | **POST** /pulp/api/v3/publications/file/file/ | Create a file publication
*PulpFileClient::PublicationsFileApi* | [**delete**](docs/PublicationsFileApi.md#delete) | **DELETE** {file_file_publication_href} | Delete a file publication
*PulpFileClient::PublicationsFileApi* | [**list**](docs/PublicationsFileApi.md#list) | **GET** /pulp/api/v3/publications/file/file/ | List file publications
*PulpFileClient::PublicationsFileApi* | [**list_roles**](docs/PublicationsFileApi.md#list_roles) | **GET** {file_file_publication_href}list_roles/ | List roles
*PulpFileClient::PublicationsFileApi* | [**my_permissions**](docs/PublicationsFileApi.md#my_permissions) | **GET** {file_file_publication_href}my_permissions/ | List user permissions
*PulpFileClient::PublicationsFileApi* | [**read**](docs/PublicationsFileApi.md#read) | **GET** {file_file_publication_href} | Inspect a file publication
*PulpFileClient::PublicationsFileApi* | [**remove_role**](docs/PublicationsFileApi.md#remove_role) | **POST** {file_file_publication_href}remove_role/ | Remove a role
*PulpFileClient::RemotesFileApi* | [**add_role**](docs/RemotesFileApi.md#add_role) | **POST** {file_file_remote_href}add_role/ | Add a role
*PulpFileClient::RemotesFileApi* | [**create**](docs/RemotesFileApi.md#create) | **POST** /pulp/api/v3/remotes/file/file/ | Create a file remote
*PulpFileClient::RemotesFileApi* | [**delete**](docs/RemotesFileApi.md#delete) | **DELETE** {file_file_remote_href} | Delete a file remote
*PulpFileClient::RemotesFileApi* | [**list**](docs/RemotesFileApi.md#list) | **GET** /pulp/api/v3/remotes/file/file/ | List file remotes
*PulpFileClient::RemotesFileApi* | [**list_roles**](docs/RemotesFileApi.md#list_roles) | **GET** {file_file_remote_href}list_roles/ | List roles
*PulpFileClient::RemotesFileApi* | [**my_permissions**](docs/RemotesFileApi.md#my_permissions) | **GET** {file_file_remote_href}my_permissions/ | List user permissions
*PulpFileClient::RemotesFileApi* | [**partial_update**](docs/RemotesFileApi.md#partial_update) | **PATCH** {file_file_remote_href} | Update a file remote
*PulpFileClient::RemotesFileApi* | [**read**](docs/RemotesFileApi.md#read) | **GET** {file_file_remote_href} | Inspect a file remote
*PulpFileClient::RemotesFileApi* | [**remove_role**](docs/RemotesFileApi.md#remove_role) | **POST** {file_file_remote_href}remove_role/ | Remove a role
*PulpFileClient::RemotesFileApi* | [**set_label**](docs/RemotesFileApi.md#set_label) | **POST** {file_file_remote_href}set_label/ | Set a label
*PulpFileClient::RemotesFileApi* | [**unset_label**](docs/RemotesFileApi.md#unset_label) | **POST** {file_file_remote_href}unset_label/ | Unset a label
*PulpFileClient::RemotesFileApi* | [**update**](docs/RemotesFileApi.md#update) | **PUT** {file_file_remote_href} | Update a file remote
*PulpFileClient::RepositoriesFileApi* | [**add_role**](docs/RepositoriesFileApi.md#add_role) | **POST** {file_file_repository_href}add_role/ | Add a role
*PulpFileClient::RepositoriesFileApi* | [**create**](docs/RepositoriesFileApi.md#create) | **POST** /pulp/api/v3/repositories/file/file/ | Create a file repository
*PulpFileClient::RepositoriesFileApi* | [**delete**](docs/RepositoriesFileApi.md#delete) | **DELETE** {file_file_repository_href} | Delete a file repository
*PulpFileClient::RepositoriesFileApi* | [**list**](docs/RepositoriesFileApi.md#list) | **GET** /pulp/api/v3/repositories/file/file/ | List file repositorys
*PulpFileClient::RepositoriesFileApi* | [**list_roles**](docs/RepositoriesFileApi.md#list_roles) | **GET** {file_file_repository_href}list_roles/ | List roles
*PulpFileClient::RepositoriesFileApi* | [**modify**](docs/RepositoriesFileApi.md#modify) | **POST** {file_file_repository_href}modify/ | Modify Repository Content
*PulpFileClient::RepositoriesFileApi* | [**my_permissions**](docs/RepositoriesFileApi.md#my_permissions) | **GET** {file_file_repository_href}my_permissions/ | List user permissions
*PulpFileClient::RepositoriesFileApi* | [**partial_update**](docs/RepositoriesFileApi.md#partial_update) | **PATCH** {file_file_repository_href} | Update a file repository
*PulpFileClient::RepositoriesFileApi* | [**read**](docs/RepositoriesFileApi.md#read) | **GET** {file_file_repository_href} | Inspect a file repository
*PulpFileClient::RepositoriesFileApi* | [**remove_role**](docs/RepositoriesFileApi.md#remove_role) | **POST** {file_file_repository_href}remove_role/ | Remove a role
*PulpFileClient::RepositoriesFileApi* | [**set_label**](docs/RepositoriesFileApi.md#set_label) | **POST** {file_file_repository_href}set_label/ | Set a label
*PulpFileClient::RepositoriesFileApi* | [**sync**](docs/RepositoriesFileApi.md#sync) | **POST** {file_file_repository_href}sync/ | Sync from a remote
*PulpFileClient::RepositoriesFileApi* | [**unset_label**](docs/RepositoriesFileApi.md#unset_label) | **POST** {file_file_repository_href}unset_label/ | Unset a label
*PulpFileClient::RepositoriesFileApi* | [**update**](docs/RepositoriesFileApi.md#update) | **PUT** {file_file_repository_href} | Update a file repository
*PulpFileClient::RepositoriesFileVersionsApi* | [**delete**](docs/RepositoriesFileVersionsApi.md#delete) | **DELETE** {file_file_repository_version_href} | Delete a repository version
*PulpFileClient::RepositoriesFileVersionsApi* | [**list**](docs/RepositoriesFileVersionsApi.md#list) | **GET** {file_file_repository_href}versions/ | List repository versions
*PulpFileClient::RepositoriesFileVersionsApi* | [**read**](docs/RepositoriesFileVersionsApi.md#read) | **GET** {file_file_repository_version_href} | Inspect a repository version
*PulpFileClient::RepositoriesFileVersionsApi* | [**repair**](docs/RepositoriesFileVersionsApi.md#repair) | **POST** {file_file_repository_version_href}repair/ | 


## Documentation for Models

 - [PulpFileClient::AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [PulpFileClient::ContentSummaryResponse](docs/ContentSummaryResponse.md)
 - [PulpFileClient::FileFileAlternateContentSource](docs/FileFileAlternateContentSource.md)
 - [PulpFileClient::FileFileAlternateContentSourceResponse](docs/FileFileAlternateContentSourceResponse.md)
 - [PulpFileClient::FileFileContent](docs/FileFileContent.md)
 - [PulpFileClient::FileFileContentResponse](docs/FileFileContentResponse.md)
 - [PulpFileClient::FileFileDistribution](docs/FileFileDistribution.md)
 - [PulpFileClient::FileFileDistributionResponse](docs/FileFileDistributionResponse.md)
 - [PulpFileClient::FileFilePublication](docs/FileFilePublication.md)
 - [PulpFileClient::FileFilePublicationResponse](docs/FileFilePublicationResponse.md)
 - [PulpFileClient::FileFileRemote](docs/FileFileRemote.md)
 - [PulpFileClient::FileFileRemoteResponse](docs/FileFileRemoteResponse.md)
 - [PulpFileClient::FileFileRemoteResponseHiddenFields](docs/FileFileRemoteResponseHiddenFields.md)
 - [PulpFileClient::FileFileRepository](docs/FileFileRepository.md)
 - [PulpFileClient::FileFileRepositoryResponse](docs/FileFileRepositoryResponse.md)
 - [PulpFileClient::MyPermissionsResponse](docs/MyPermissionsResponse.md)
 - [PulpFileClient::NestedRole](docs/NestedRole.md)
 - [PulpFileClient::NestedRoleResponse](docs/NestedRoleResponse.md)
 - [PulpFileClient::ObjectRolesResponse](docs/ObjectRolesResponse.md)
 - [PulpFileClient::PaginatedRepositoryVersionResponseList](docs/PaginatedRepositoryVersionResponseList.md)
 - [PulpFileClient::PaginatedfileFileAlternateContentSourceResponseList](docs/PaginatedfileFileAlternateContentSourceResponseList.md)
 - [PulpFileClient::PaginatedfileFileContentResponseList](docs/PaginatedfileFileContentResponseList.md)
 - [PulpFileClient::PaginatedfileFileDistributionResponseList](docs/PaginatedfileFileDistributionResponseList.md)
 - [PulpFileClient::PaginatedfileFilePublicationResponseList](docs/PaginatedfileFilePublicationResponseList.md)
 - [PulpFileClient::PaginatedfileFileRemoteResponseList](docs/PaginatedfileFileRemoteResponseList.md)
 - [PulpFileClient::PaginatedfileFileRepositoryResponseList](docs/PaginatedfileFileRepositoryResponseList.md)
 - [PulpFileClient::PatchedfileFileAlternateContentSource](docs/PatchedfileFileAlternateContentSource.md)
 - [PulpFileClient::PatchedfileFileDistribution](docs/PatchedfileFileDistribution.md)
 - [PulpFileClient::PatchedfileFileRemote](docs/PatchedfileFileRemote.md)
 - [PulpFileClient::PatchedfileFileRepository](docs/PatchedfileFileRepository.md)
 - [PulpFileClient::PolicyEnum](docs/PolicyEnum.md)
 - [PulpFileClient::Repair](docs/Repair.md)
 - [PulpFileClient::RepositoryAddRemoveContent](docs/RepositoryAddRemoveContent.md)
 - [PulpFileClient::RepositorySyncURL](docs/RepositorySyncURL.md)
 - [PulpFileClient::RepositoryVersionResponse](docs/RepositoryVersionResponse.md)
 - [PulpFileClient::SetLabel](docs/SetLabel.md)
 - [PulpFileClient::SetLabelResponse](docs/SetLabelResponse.md)
 - [PulpFileClient::TaskGroupOperationResponse](docs/TaskGroupOperationResponse.md)
 - [PulpFileClient::UnsetLabel](docs/UnsetLabel.md)
 - [PulpFileClient::UnsetLabelResponse](docs/UnsetLabelResponse.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

