# PulpFileClient::FileFileDistributionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | 
**base_url** | **String** | The URL for accessing the publication as defined by this distribution. | [optional] [readonly] 
**content_guard** | **String** | An optional content-guard. | [optional] 
**hidden** | **Boolean** | Whether this distribution should be shown in the content app. | [optional] [default to false]
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**publication** | **String** | Publication to be served | [optional] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileDistributionResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 base_path: null,
                                 base_url: null,
                                 content_guard: null,
                                 hidden: null,
                                 pulp_labels: null,
                                 name: null,
                                 repository: null,
                                 publication: null)
```


