# PulpFileClient::FileFileRepositoryResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**versions_href** | **String** |  | [optional] [readonly] 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**latest_version_href** | **String** |  | [optional] [readonly] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**autopublish** | **Boolean** | Whether to automatically create publications for new repository versions, and update any distributions pointing to this repository. | [optional] [default to false]
**manifest** | **String** | Filename to use for manifest file containing metadata for all the files. | [optional] [default to &#39;PULP_MANIFEST&#39;]

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileRepositoryResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 versions_href: null,
                                 pulp_labels: null,
                                 latest_version_href: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 autopublish: null,
                                 manifest: null)
```


