# PulpFileClient::PatchedfileFileRemote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | A unique name for this remote. | [optional] 
**url** | **String** | The URL of an external content source. | [optional] 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**client_key** | **String** | A PEM encoded private key used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**proxy_username** | **String** | The username to authenticte to the proxy. | [optional] 
**proxy_password** | **String** | The password to authenticate to the proxy. Extra leading and trailing whitespace characters are not trimmed. | [optional] 
**username** | **String** | The username to be used for authentication when syncing. | [optional] 
**password** | **String** | The password to be used for authentication when syncing. Extra leading and trailing whitespace characters are not trimmed. | [optional] 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. If not set then the default value will be used. | [optional] 
**max_retries** | **Integer** | Maximum number of retry attempts after a download failure. If not set then the default value (3) will be used. | [optional] 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;streamed&#39;. &#39;immediate&#39; is the default.  * &#x60;immediate&#x60; - When syncing, download all metadata and content now. * &#x60;on_demand&#x60; - When syncing, download metadata, but do not download content now. Instead, download content as clients request it, and save it in Pulp to be served for future client requests. * &#x60;streamed&#x60; - When syncing, download metadata, but do not download content now. Instead,download content as clients request it, but never save it in Pulp. This causes future requests for that same content to have to be downloaded again. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**rate_limit** | **Integer** | Limits requests per second for each concurrent downloader | [optional] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::PatchedfileFileRemote.new(name: null,
                                 url: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 client_key: null,
                                 tls_validation: null,
                                 proxy_url: null,
                                 proxy_username: null,
                                 proxy_password: null,
                                 username: null,
                                 password: null,
                                 pulp_labels: null,
                                 download_concurrency: null,
                                 max_retries: null,
                                 policy: null,
                                 total_timeout: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 sock_read_timeout: null,
                                 headers: null,
                                 rate_limit: null)
```


